求助:ubuntu下缺libg2c.so.0的包

为当前最终发行版之前的所有版本提供支持
回复
la_ema
帖子: 1
注册时间: 2010-12-06 20:15
送出感谢: 0
接收感谢: 0

求助:ubuntu下缺libg2c.so.0的包

#1

帖子 la_ema » 2010-12-06 21:02

刚刚开始接触Linux系统,装的Ubuntu9.10
想用一个比较老的fortran程序,用apt-get装了F77和g:fortran,编译没有问题,但是./运行的时候出错,提示
error while loading shared libraries: libg2c.so.0: cannot open shared object file: No such file or directory
重新apt-get install gcc之后还是不行

网上说ucc-3.4里面有这个包,我就在http://gcc.gnu.org/mirrors.html下了gcc-g77-3.4.0.tar.bz2 gcc-3.4.0.tar.bz2 ,解压之后看不太明白,gcc-g77-3.4.0.有libf2c这个包,里面又makefile.in这个文件,但是不知道make?才能运行

之前我在新立的得里面没有搜到libg2c,看到论坛有人说要去下载compat_gcc34所以才去找gcc3.4的包的


纠结很长时间自己好像搞不定了,不好意思麻烦大家,希望能得到各位高手帮助,谢谢
Frenet
帖子: 1
注册时间: 2010-12-11 17:01
送出感谢: 0
接收感谢: 0

Re: 求助:ubuntu下缺libg2c.so.0的包

#2

帖子 Frenet » 2010-12-19 19:00

la_ema 写了:刚刚开始接触Linux系统,装的Ubuntu9.10
想用一个比较老的fortran程序,用apt-get装了F77和g:fortran,编译没有问题,但是./运行的时候出错,提示
error while loading shared libraries: libg2c.so.0: cannot open shared object file: No such file or directory
重新apt-get install gcc之后还是不行

网上说ucc-3.4里面有这个包,我就在http://gcc.gnu.org/mirrors.html下了gcc-g77-3.4.0.tar.bz2 gcc-3.4.0.tar.bz2 ,解压之后看不太明白,gcc-g77-3.4.0.有libf2c这个包,里面又makefile.in这个文件,但是不知道make?才能运行

之前我在新立的得里面没有搜到libg2c,看到论坛有人说要去下载compat_gcc34所以才去找gcc3.4的包的


纠结很长时间自己好像搞不定了,不好意思麻烦大家,希望能得到各位高手帮助,谢谢
??? Invalid MEX-file '/media/Data/Tomlab4Ubuntu/opt/tomlab/mex/snopt.mexa64':
libg2c.so.0: cannot open shared object file: 没有该文件或目录.

我也碰到这个问题,我是在使用TomLab的Linux版本过程中,出现这个问题的。
回复

回到 “老旧版本支持”